/*
   Source code by David Eck
                  Department of Mathematics and Computer Science
                  Hobart and William Smith Colleges
                  Geneva, NY 14456
                  eck@hws.edu
                  
   This Java source code file can be used IN UNMODIFIED FORM for
   any purpose.  You can also make and distribute modified versions,
   as long as you include an acknowledgement of the original
   author in the modified version.
*/

package xca;

import xca.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;

public class CAFrame extends JFrame {

   public static void main(String[] args) {
      new CAFrame(args);
   }

   public CAFrame() {
      this(null,false);
   }
   
   public CAFrame(String[] fileList) {
      this(fileList,false);
   }
   
   public CAFrame(String[] fileList, boolean createdByApplet) {
      super("Edge Of Chaos CA");
      if (createdByApplet)
         setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
      else
         setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
      MainPanel p;
      if (screenSize.width > 700 && screenSize.height > 550)
         p = new MainPanel();
      else
         p = new MainPanel(null, 512);
      setContentPane(p);
      Menus menus = new Menus(p.getWorldPane(),!createdByApplet,this);
      if (fileList != null && fileList.length > 0)
         menus.addExamplesMenu(fileList);
      setJMenuBar(menus);
      pack();
      setLocation(60,40);
      show();
      p.getWorldPane().start(500);
   }

}
